| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Macros
2984/DATASHEET_CUSTOM_THERMOCOUPLE/DATASHEET_CUSTOM_THERMOCOUPLE.ino File Reference
Temperature Monitors » LTC2984: Multi-Sensor High Accuracy Digital Temperature Measurement System

LTC2984: Multi-Sensor High Accuracy Digital Temperature Measurement System. More...

## Detailed Description

LTC2984: Multi-Sensor High Accuracy Digital Temperature Measurement System.

    DATASHEET_CUSTOM_THERMOCOUPLE.ino:
    Generated Linduino code from the LTC2984 Demo Software.
    This code  is designed to be used by a Linduino,
    but can also be used to understand how to program the LTC2984.

http://www.linear.com/product/LTC2984

http://www.linear.com/product/LTC2984#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file 2984/DATASHEET_CUSTOM_THERMOCOUPLE/DATASHEET_CUSTOM_THERMOCOUPLE.ino.

Go to the source code of this file.

## Functions
static void | configure_memory_table ()
static void | configure_channels ()
static void | configure_global_parameters ()
static void | setup ()
static void | loop ()

## Macros
#define | CHIP_SELECT QUIKEVAL_CS

## Function Documentation

## ◆ configure_channels()

static void configure_channels | ( |  | ) |
| static

Definition at line 105 of file 2984/DATASHEET_CUSTOM_THERMOCOUPLE/DATASHEET_CUSTOM_THERMOCOUPLE.ino.

## ◆ configure_global_parameters()

static void configure_global_parameters | ( |  | ) |
| static

Definition at line 162 of file 2984/DATASHEET_CUSTOM_THERMOCOUPLE/DATASHEET_CUSTOM_THERMOCOUPLE.ino.

## ◆ configure_memory_table()

static void configure_memory_table | ( |  | ) |
| static

Definition at line 133 of file 2984/DATASHEET_CUSTOM_THERMOCOUPLE/DATASHEET_CUSTOM_THERMOCOUPLE.ino.

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Definition at line 173 of file 2984/DATASHEET_CUSTOM_THERMOCOUPLE/DATASHEET_CUSTOM_THERMOCOUPLE.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Definition at line 87 of file 2984/DATASHEET_CUSTOM_THERMOCOUPLE/DATASHEET_CUSTOM_THERMOCOUPLE.ino.

## Macro Definition Documentation

## ◆ CHIP_SELECT

#define CHIP_SELECT QUIKEVAL_CS

Definition at line 78 of file 2984/DATASHEET_CUSTOM_THERMOCOUPLE/DATASHEET_CUSTOM_THERMOCOUPLE.ino.